package sizey

import (
	"testing"

	"p78git.ddns.net/svi/libtui/types"
)

/*
	Тест для размера по X
*/

// Тестер для размера по X
type tester struct {
	t     *testing.T
	size  *SizeY
	isize types.ISizeY
}

func TestSizeX(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
	test.set()
}

// Установка размера по X
func (sf *tester) set() {
	sf.t.Logf("set")
	sf.isize.Set(12)
	x := sf.isize.Get()
	if x != 12 {
		sf.t.Fatalf("set(): x(%v)!=12", x)
	}
}

// Создание размера по X
func (sf *tester) create() {
	sf.t.Logf("create")
	sf.size = NewSizeY()
	if sf.size == nil {
		sf.t.Fatalf("create(): size==nil")
	}
	sf.isize = sf.size
	x := sf.isize.Get()
	if x != 0 {
		sf.t.Fatalf("create(): x(%v)!=0", x)
	}
}
